## imcode.server.document
Class DocumentPermission

    java.lang.Object
      imcode.server.document.DocumentPermission

All Implemented Interfaces:
  java.io.Serializable

    public class DocumentPermission

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DocumentPermission(java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentPermission

    public DocumentPermission(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`